Reprocesses a bill. This will rerun all appliciable rules against a bill. The bill is re-imported, any edits will be lost. Requires both BillProcessingRules:Manage and BillsAndBatches:Edit permission
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| billId | The bill to reprocess | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
BillImportRuleLogResponseV202604
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| billProcessingHash | A unique value used to identify a set of rules being executed for a bill Required (defined) | string (uuid) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||
| executedRules | The set of rules executed for a bill Required (defined) | BillImportRuleLogExecutionDataV202604[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
BillImportRuleLogExecutionDataV202604 properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "billProcessingHash": "string", "executedRules": [
{ "billImportRule": { "billImportRuleId": 1, "billImportRuleInfo": "string"
}, "executionOrder": 1, "executionTime": "2026-06-18", "logData": { "differences": [], "message": "string"
}
}
]
}